# -*- coding: utf-8 -*
import glob
import os
import cv2
import pandas as pd
import numpy as np


def read_gt(region):
    bbox = []
    # # load videos每一帧照片的路径，每一帧照片读取，所有的gt
    # filenames = sorted(glob.glob(os.path.join(video_dir, "color/*.jpg")),
    #                    key=lambda x: int(os.path.basename(x).split('.')[0]))
    # frames = [cv2.cvtColor(cv2.imread(filename), cv2.COLOR_BGR2RGB) for filename in filenames]
    # gt_bboxes = pd.read_csv(os.path.join(video_dir, "groundtruth.txt"), sep='\t|,| ',
    #                         header=None, names=['xmin', 'ymin', 'width', 'height'],
    #                         engine='python')
    #
    # title = video_dir.split('/')[-1]  # 视频名称
    # if not os.path.isdir('results/' + title):
    #     os.makedirs('results/' + title)
    # return title, frames, gt_bboxes

    try:
        region = np.array([region[0][0][0], region[0][0][1], region[0][1][0], region[0][1][1],
                           region[0][2][0], region[0][2][1], region[0][3][0], region[0][3][1]])
    except:
        a = region[0::2]
        region = np.array(region)
    # cx = np.mean(region[0::2])
    # cy = np.mean(region[1::2])
    x1 = min(region[0::2])
    x2 = max(region[0::2])
    y1 = min(region[1::2])
    y2 = max(region[1::2])
    A1 = np.linalg.norm(region[0:2] - region[2:4]) * np.linalg.norm(region[2:4] - region[4:6])
    A2 = (x2 - x1) * (y2 - y1)
    s = np.sqrt(A1 / A2)
    w = s * (x2 - x1) + 1
    h = s * (y2 - y1) + 1
    bbox.append(x1)
    bbox.append(y1)
    bbox.append(w)
    bbox.append(h)
    return bbox